#extension GL_OES_EGL_image_external : require
precision lowp float;

// 背景顶点
varying vec2 textureCoordinate;

// 视频画面顶点
varying vec2 textureCoordinate2;

uniform samplerExternalOES inputImageTexture;
uniform float validHeightPixelRange;
uniform float validWidthPixelRange;

// 背景纹理
uniform sampler2D inputImageTexture2;
uniform float mixturePercent;
uniform int swapxy;

uniform lowp sampler2D tex_y;
uniform lowp sampler2D tex_u;
uniform lowp sampler2D tex_v;
uniform lowp mat3 um3_ColorConversion;
uniform lowp int show_yuv;


const lowp int GAUSSIAN_SAMPLES = 9;
varying vec2 blurCoordinates[GAUSSIAN_SAMPLES];


// type = 0 OES模式 = 1 YUV模式
uniform lowp int show_type;
// type = 0 毛玻璃背景 = 1 图片背景
uniform lowp int bg_type;


vec4 getYUVColor(vec2 Coordinate){
      highp vec3 yuv;
      highp vec3 rgb;
      yuv.x = (texture2D(tex_y, Coordinate).r - (16.0 / 255.0));
      yuv.y = (texture2D(tex_u, Coordinate).r - 0.5);
      yuv.z = (texture2D(tex_v, Coordinate).r - 0.5);
      rgb = um3_ColorConversion * yuv;
     return vec4(rgb, 1);
}

vec4 getOESColor(vec2 coordinate){
        if(textureCoordinate.y>validHeightPixelRange){
             coordinate.y = validHeightPixelRange;
        }
        if(textureCoordinate.x>validWidthPixelRange){
             coordinate.x = validWidthPixelRange;
        }
        return texture2D(inputImageTexture, coordinate);
}

vec4 getImageBgColor(vec2 coordinate){
       return texture2D(inputImageTexture2, coordinate);
}

vec4 getVideoBlurColor(vec2 coordinate){
       vec3 sum = vec3(0.0);
       if(show_type == 0){
             sum += getOESColor( blurCoordinates[0]).rgb * 0.05;
             sum += getOESColor( blurCoordinates[1]).rgb * 0.09;
             sum += getOESColor( blurCoordinates[2]).rgb * 0.12;
             sum += getOESColor( blurCoordinates[3]).rgb * 0.15;
             sum += getOESColor( blurCoordinates[4]).rgb * 0.18;
             sum += getOESColor( blurCoordinates[5]).rgb * 0.15;
             sum += getOESColor( blurCoordinates[6]).rgb * 0.12;
             sum += getOESColor( blurCoordinates[7]).rgb * 0.09;
             sum += getOESColor( blurCoordinates[8]).rgb * 0.05;

             sum += getOESColor( blurCoordinates2[0]).rgb * 0.05;
             sum += getOESColor( blurCoordinates2[1]).rgb * 0.09;
             sum += getOESColor( blurCoordinates2[2]).rgb * 0.12;
             sum += getOESColor( blurCoordinates2[3]).rgb * 0.15;
             sum += getOESColor( blurCoordinates2[4]).rgb * 0.18;
             sum += getOESColor( blurCoordinates2[5]).rgb * 0.15;
             sum += getOESColor( blurCoordinates2[6]).rgb * 0.12;
             sum += getOESColor( blurCoordinates2[7]).rgb * 0.09;
             sum += getOESColor( blurCoordinates2[8]).rgb * 0.05;
       }else if(show_type == 1){
             sum += getYUVColor( blurCoordinates[0]).rgb * 0.05;
             sum += getYUVColor( blurCoordinates[1]).rgb * 0.09;
             sum += getYUVColor( blurCoordinates[2]).rgb * 0.12;
             sum += getYUVColor( blurCoordinates[3]).rgb * 0.15;
             sum += getYUVColor( blurCoordinates[4]).rgb * 0.18;
             sum += getYUVColor( blurCoordinates[5]).rgb * 0.15;
             sum += getYUVColor( blurCoordinates[6]).rgb * 0.12;
             sum += getYUVColor( blurCoordinates[7]).rgb * 0.09;
             sum += getYUVColor( blurCoordinates[8]).rgb * 0.05;

             sum += getYUVColor( blurCoordinates2[0]).rgb * 0.05;
             sum += getYUVColor( blurCoordinates2[1]).rgb * 0.09;
             sum += getYUVColor( blurCoordinates2[2]).rgb * 0.12;
             sum += getYUVColor( blurCoordinates2[3]).rgb * 0.15;
             sum += getYUVColor( blurCoordinates2[4]).rgb * 0.18;
             sum += getYUVColor( blurCoordinates2[5]).rgb * 0.15;
             sum += getYUVColor( blurCoordinates2[6]).rgb * 0.12;
             sum += getYUVColor( blurCoordinates2[7]).rgb * 0.09;
             sum += getYUVColor( blurCoordinates2[8]).rgb * 0.05;
       }
       return vec4(sum,1.0);
}



void main()
{
//      if( 0.0 <=textureCoordinate2.x&&textureCoordinate2.x<= 1.0 &&
//           0.0 <=textureCoordinate2.y && textureCoordinate2.y<=1.0 ){
//            if(swapxy ==1){
//                if(show_type == 0){
//                    gl_FragColor = getOESColor(vec2(textureCoordinate2.y,textureCoordinate2.x));
//                }else if(show_type == 1) {
//                    gl_FragColor = getYUVColor(vec2(textureCoordinate2.y,textureCoordinate2.x));
//                }
//               } else{
//
//               if(show_type == 0){
//                    gl_FragColor = getOESColor(textureCoordinate2);
//               }else if(show_type == 1) {
//                    gl_FragColor = getYUVColor(textureCoordinate2);
//               }
//             }
//      }else{
//
//            if(bg_type == 0){
//                gl_FragColor = getVideoBlurColor(textureCoordinate);
//            }else if(bg_type == 1){
//                gl_FragColor = getImageBgColor(textureCoordinate);
//            }
//      }

                gl_FragColor = vec4(0.5);



}