 uniform sampler2D inputImageTexture;
 uniform lowp vec2 vignetteCenter;
 uniform highp float vignetteStart;
 uniform highp float vignetteEnd;
// box blur
 varying highp vec2 textureCoordinate;
 varying highp vec2 oneStepLeftTextureCoordinate;
 varying highp vec2 twoStepsLeftTextureCoordinate;
 varying highp vec2 oneStepRightTextureCoordinate;
 varying highp vec2 twoStepsRightTextureCoordinate;
 void main()
 {
     lowp vec4 rgb = texture2D(inputImageTexture, textureCoordinate);
     lowp float d = distance(textureCoordinate, vec2(0.5, 0.5));
     lowp float percent = smoothstep(0.1, 0.85, d);
     lowp vec4 fragmentColor = texture2D(inputImageTexture, textureCoordinate) * 0.2;
     fragmentColor += texture2D(inputImageTexture, oneStepLeftTextureCoordinate) * 0.2;
     fragmentColor += texture2D(inputImageTexture, oneStepRightTextureCoordinate) * 0.2;
     fragmentColor += texture2D(inputImageTexture, twoStepsLeftTextureCoordinate) * 0.2;
     fragmentColor += texture2D(inputImageTexture, twoStepsRightTextureCoordinate) * 0.2;
     gl_FragColor = mix(rgb, fragmentColor,percent);

 }