attribute vec4 position;
attribute vec4 inputTextureCoordinate;
attribute vec4 inputTextureCoordinate2;
uniform mat4 transformMatrix;
uniform mat4 transformMatrix2;
varying vec2 textureCoordinate;
varying vec2 textureCoordinate2;

uniform int uesBlur;

const int GAUSSIAN_SAMPLES = 9;
uniform float texelWidthOffset;
uniform float texelHeightOffset;
varying vec2 blurCoordinates[GAUSSIAN_SAMPLES];
varying vec2 blurCoordinates2[GAUSSIAN_SAMPLES];

void blurVert(){
// Calculate the positions for the blur
        int multiplier = 0;
        vec2 blurStep;
        vec2 singleStepOffset = vec2(0.0, texelWidthOffset);
        for (int i = 0; i < GAUSSIAN_SAMPLES; i++){
	        multiplier = (i - ((GAUSSIAN_SAMPLES - 1) / 2));
            // Blur in x (HORIZONTAL)
            blurStep = float(multiplier) * singleStepOffset;
	        blurCoordinates[i] = inputTextureCoordinate.xy + blurStep;
        }
}
void blurVert2(){
// Calculate the positions for the blur
        int multiplier = 0;
        vec2 blurStep;
        vec2 singleStepOffset = vec2(texelHeightOffset, 0.0);
        for (int i = 0; i < GAUSSIAN_SAMPLES; i++){
	        multiplier = (i - ((GAUSSIAN_SAMPLES - 1) / 2));
            // Blur in x (HORIZONTAL)
            blurStep = float(multiplier) * singleStepOffset;
	        blurCoordinates2[i] = inputTextureCoordinate.xy + blurStep;
        }
}

void main()
{
        gl_Position = transformMatrix * vec4(position.xyz, 1.0);
//        textureCoordinate = inputTextureCoordinate.xy;
//        textureCoordinate2 = vec4( transformMatrix2 * inputTextureCoordinate2).xy;
//        if(uesBlur ==1){
//            blurVert();
//            blurVert2();
//
//        }
}
