attribute vec4 position;
attribute vec4 inputTextureCoordinate;
uniform mat4 transformMatrix;
uniform float texelWidthOffset;
uniform float texelHeightOffset;
varying vec2 textureCoordinate;

varying vec2 oneStepLeftTextureCoordinate;
varying vec2 twoStepsLeftTextureCoordinate;
varying vec2 oneStepRightTextureCoordinate;
varying vec2 twoStepsRightTextureCoordinate;
void main()
{
gl_Position = transformMatrix * vec4(position.xyz, 1.0);
vec2 firstOffset = vec2(1.5 * texelWidthOffset, 1.5 * texelHeightOffset);
vec2 secondOffset = vec2(3.5 * texelWidthOffset, 3.5 * texelHeightOffset);
textureCoordinate = inputTextureCoordinate.xy;
oneStepLeftTextureCoordinate = inputTextureCoordinate.xy - firstOffset;
twoStepsLeftTextureCoordinate = inputTextureCoordinate.xy - secondOffset;
oneStepRightTextureCoordinate = inputTextureCoordinate.xy + firstOffset;
twoStepsRightTextureCoordinate = inputTextureCoordinate.xy + secondOffset;
}